console.log("FizzyBubble: hide-identify.js loaded");

Hooks.on("renderItemSheet", (sheet, [html]) => {
  if (game.user.isGM) return;

  html.querySelectorAll(
    ".pseudo-header-button.state-toggle.toggle-identified, label:has(input:not([disabled]))"
  ).forEach(el => el.remove());
});

Hooks.on("dnd5e.getItemContextOptions", (item, buttons) => {
  if (game.user.isGM) return;

  const index = buttons.findIndex(opt => opt.name === "DND5E.Identify");
  if (index !== -1) {
    buttons.splice(index, 1);
  }
});
